RequestInfo (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.coyote

## Class RequestInfo

- java.lang.Object
- - org.apache.coyote.RequestInfo

-     public class RequestInfo
      extends java.lang.Object

  Structure holding the Request and Response objects. It also holds statistical information about request processing and provide management information about the requests being processed. Each thread uses a Request/Response pair that is recycled on each request. This object provides a place to collect global low-level statistics - without having to deal with synchronization ( since each thread will have it's own RequestProcessorMX ).
  Author:
    Costin Manolache

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestInfo​(Request req)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBytesReceived()` |
    `long` | `getBytesSent()` |
    `int` | `getContentLength()` |
    `java.lang.String` | `getCurrentQueryString()` |
    `java.lang.String` | `getCurrentUri()` |
    `int` | `getErrorCount()` |
    `RequestGroupInfo` | `getGlobalProcessor()` |
    `long` | `getLastRequestProcessingTime()` |
    `java.lang.String` | `getMaxRequestUri()` |
    `long` | `getMaxTime()` |
    `java.lang.String` | `getMethod()` |
    `java.lang.String` | `getPeerAddr()` |
    `long` | `getProcessingTime()` |
    `java.lang.String` | `getProtocol()` |
    `java.lang.String` | `getRemoteAddr()` |
    `java.lang.String` | `getRemoteAddrForwarded()` | Obtain the remote address for this connection as reported by an intermediate proxy (if any).
    `long` | `getRequestBytesReceived()` |
    `long` | `getRequestBytesSent()` |
    `int` | `getRequestCount()` |
    `long` | `getRequestProcessingTime()` |
    `javax.management.ObjectName` | `getRpName()` |
    `int` | `getServerPort()` |
    `int` | `getStage()` |
    `java.lang.String` | `getVirtualHost()` |
    `java.lang.String` | `getWorkerThreadName()` |
    `void` | `setBytesReceived​(long bytesReceived)` |
    `void` | `setBytesSent​(long bytesSent)` |
    `void` | `setErrorCount​(int errorCount)` |
    `void` | `setGlobalProcessor​(RequestGroupInfo global)` |
    `void` | `setLastRequestProcessingTime​(long lastRequestProcessingTime)` |
    `void` | `setMaxRequestUri​(java.lang.String maxRequestUri)` |
    `void` | `setMaxTime​(long maxTime)` |
    `void` | `setProcessingTime​(long processingTime)` |
    `void` | `setRequestCount​(int requestCount)` |
    `void` | `setRpName​(javax.management.ObjectName rpName)` |
    `void` | `setStage​(int stage)` |
    `void` | `setWorkerThreadName​(java.lang.String workerThreadName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestInfo

          public RequestInfo​(Request req)

  - ### Method Detail

    - #### getGlobalProcessor

          public RequestGroupInfo getGlobalProcessor()

    - #### setGlobalProcessor

          public void setGlobalProcessor​(RequestGroupInfo global)

    - #### getMethod

          public java.lang.String getMethod()

    - #### getCurrentUri

          public java.lang.String getCurrentUri()

    - #### getCurrentQueryString

          public java.lang.String getCurrentQueryString()

    - #### getProtocol

          public java.lang.String getProtocol()

    - #### getVirtualHost

          public java.lang.String getVirtualHost()

    - #### getServerPort

          public int getServerPort()

    - #### getRemoteAddr

          public java.lang.String getRemoteAddr()

    - #### getPeerAddr

          public java.lang.String getPeerAddr()

    - #### getRemoteAddrForwarded

          public java.lang.String getRemoteAddrForwarded()

      Obtain the remote address for this connection as reported by an intermediate proxy (if any).
      Returns:
        The remote address for the this connection

    - #### getContentLength

          public int getContentLength()

    - #### getRequestBytesReceived

          public long getRequestBytesReceived()

    - #### getRequestBytesSent

          public long getRequestBytesSent()

    - #### getRequestProcessingTime

          public long getRequestProcessingTime()

    - #### getStage

          public int getStage()

    - #### setStage

          public void setStage​(int stage)

    - #### getBytesSent

          public long getBytesSent()

    - #### setBytesSent

          public void setBytesSent​(long bytesSent)

    - #### getBytesReceived

          public long getBytesReceived()

    - #### setBytesReceived

          public void setBytesReceived​(long bytesReceived)

    - #### getProcessingTime

          public long getProcessingTime()

    - #### setProcessingTime

          public void setProcessingTime​(long processingTime)

    - #### getMaxTime

          public long getMaxTime()

    - #### setMaxTime

          public void setMaxTime​(long maxTime)

    - #### getMaxRequestUri

          public java.lang.String getMaxRequestUri()

    - #### setMaxRequestUri

          public void setMaxRequestUri​(java.lang.String maxRequestUri)

    - #### getRequestCount

          public int getRequestCount()

    - #### setRequestCount

          public void setRequestCount​(int requestCount)

    - #### getErrorCount

          public int getErrorCount()

    - #### setErrorCount

          public void setErrorCount​(int errorCount)

    - #### getWorkerThreadName

          public java.lang.String getWorkerThreadName()

    - #### getRpName

          public javax.management.ObjectName getRpName()

    - #### getLastRequestProcessingTime

          public long getLastRequestProcessingTime()

    - #### setWorkerThreadName

          public void setWorkerThreadName​(java.lang.String workerThreadName)

    - #### setRpName

          public void setRpName​(javax.management.ObjectName rpName)

    - #### setLastRequestProcessingTime

          public void setLastRequestProcessingTime​(long lastRequestProcessingTime)